For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get Started
Docs & GuidesAPI Reference
Docs & GuidesAPI Reference
  • Authentication
    • API Authentication
  • API Reference
      • POSTCreate concept
      • DELDelete concept
      • GETGet concept
      • GETGet concept's prediction estimation
      • GETGet label candidates
      • GETGet labels
      • GETList concepts
      • PATCHUpdate concept
      • PATCHUpdate labels
Get Started
LogoLogo
API ReferenceConcept

Update concept

PATCH
https://app.coactive.ai/api/v1/concepts/:concept_id
PATCH
/api/v1/concepts/:concept_id
$curl -X PATCH https://app.coactive.ai/api/v1/concepts/428e52cd-7ceb-490c-ae3f-0848c82d8c97 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "TheNorth",
> "description": "Screenshots and clips from Game of Thrones that take place in the North",
> "threshold": 0.8,
> "regularization": 0.0625
>}'
1{
2 "createdUserId": "user_example",
3 "createdDt": "2018-09-11T15:11:45.456Z",
4 "updatedUserId": "user_example",
5 "updatedDt": "2018-09-11T15:11:45.456Z",
6 "name": "TheNorth",
7 "conceptId": "428e52cd-7ceb-490c-ae3f-0848c82d8c97",
8 "datasetId": "c40276f0-024b-4a3f-b3e6-dcf0d304843e",
9 "description": "Screenshots and clips from Game of Thrones that take place in the North",
10 "threshold": 0.8,
11 "regularization": 0.0625,
12 "created_user_id": "user_example",
13 "created_dt": "2018-09-11T15:11:45.456Z",
14 "updated_user_id": "user_example",
15 "updated_dt": "2018-09-11T15:11:45.456Z",
16 "concept_id": "428e52cd-7ceb-490c-ae3f-0848c82d8c97",
17 "dataset_id": "c40276f0-024b-4a3f-b3e6-dcf0d304843e"
18}
Update concept
Was this page helpful?
Previous

Update labels

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

concept_idstringRequiredformat: "uuid4"
The unique identifier for the concept

Request

This endpoint expects an object.
namestring or nullOptional
A replacement name for the concept
descriptionstring or nullOptional
A replacement description for the concept
thresholddouble or nullOptional
A replacement decision threshold for the concept
regularizationdouble or nullOptional
How strongly the model adapts to the training labels. Regularization strength. Lower value means the model fits more heavily to the training data

Response

Concept details
createdUserIdstring
The user that created the resource
createdDtstringformat: "date-time"
The created datetime of the resource
updatedUserIdstring
The user that last updated the resource
updatedDtstringformat: "date-time"
The datetime the resource was last updated
namestring
The name of the concept
conceptIdstringformat: "uuid4"
The unique identifier for the concept
datasetIdstringformat: "uuid4"
The unique identifier for the dataset
descriptionstring or null
A description for the concept
thresholddouble or nullDefaults to 0.8
Threshold above which classification is positive
regularizationdouble or nullDefaults to 0.0625
How strongly the model adapts to the training labels. Regularization strength. Lower value means the model fits more heavily to the training data

Errors

404
Not Found Error
422
Unprocessable Entity Error